This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 426599 - Review Request: libgdl - Components and library for GNOME development tools
Review Request: libgdl - Components and library for GNOME development tools
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-22 15:41 EST by Debarshi Ray
Modified: 2008-01-16 09:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 09:26:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alexl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2007-12-22 15:41:14 EST
Spec URL: http://rishi.fedorapeople.org/libgdl.spec
SRPM URL: http://rishi.fedorapeople.org/libgdl-0.7.7-1.fc8.src.rpm


Description:

GNOME Devtool Libraries contains components and libraries that are intended to
be shared between GNOME development tools, including anjuta2, gnome-build and
gnome-debug.
Comment 1 Debarshi Ray 2007-12-22 15:44:23 EST
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=307078

I inherited the anjuta-fdl package from Paul F. Johnson, and am going to rename
it as libgdl. See:
https://www.redhat.com/archives/fedora-devel-list/2007-December/msg00830.html
Comment 2 Alex Lancaster 2008-01-09 05:23:05 EST
Taking for review.
Comment 3 Alex Lancaster 2008-01-09 05:49:43 EST
 - Package meets naming and packaging guidelines
 - Spec file matches base package name.
 - Spec has consistant macro usage.
 - Meets Packaging Guidelines.
 - License: (GPLv2 and GPLv2+ and LGPLv2+)
 - License field in spec matches
 - License file included in package
Only GPL included, LGPL also needed?
 - Spec in American English
 - Spec is legible.
 - Sources match upstream md5sum: yes
 - Package needs ExcludeArch
 - BuildRequires correct
 - Spec handles locales/find_lang
 - Package has %defattr and permissions on files is good.
 - Package has a correct %clean section.
 - Package has correct buildroot
 - Package is code or permissible content.
 - Doc subpackage not needed
 - Packages %doc files don't affect runtime.
 - Headers/static libs in -devel subpackage.
 - Spec has needed ldconfig in post and postun
 - .pc files in -devel subpackage/requires pkgconfig
 - .so files in -devel subpackage.
 - -devel package Requires: %{name} = %{version}-%{release}
 - .la files are removed.
 - Package compiles and builds on at least one arch.
 - Package has no duplicate files in %files.
 - Package doesn't own any directories other packages own.
 - Package owns all the directories it creates.
 - No rpmlint output.
 - final provides and requires are sane
 - Obsoletes seem sane:

Provides:	anjuta-gdl = %{version}-%{release}
Obsoletes:	anjuta-gdl < 0.7.7-1
Provides:	anjuta-gdl-devel = %{version}-%{release}
Obsoletes:	anjuta-gdl-devel < 0.7.7-1

SHOULD Items:

 - Builds in koji using rawhide tag on all supported archs
 - Sane scriptlets.
 - Subpackages require base package with fully versioned depend.
 - Has dist tag

Issues:

1. Minor:  add: "Requires(post): /sbin/ldconfig"
2. Minor:  Only GPL included, LGPL also needed?

Outstanding issues are minor, can be fixed after import:

APPROVED.
Comment 4 Alex Lancaster 2008-01-09 05:58:30 EST
It also occurred to me that perhaps gnome-gdl might also work as a name, to make
it clear that it is for GNOME related build tools.  libgdl might be confused as
a library that gdl is dependent on, but I'm happy to be persuaded otherwise.
Comment 5 Debarshi Ray 2008-01-09 06:40:21 EST
(In reply to comment #4)
> It also occurred to me that perhaps gnome-gdl might also work as a name, to make
> it clear that it is for GNOME related build tools.

I chose libgdl since that is what Debian and Ubuntu calls it, and I thought it
would be a good idea to have consistent naming across distributions.

Comment 6 Debarshi Ray 2008-01-09 06:54:00 EST
(In reply to comment #3)
> Issues:
> 
> 1. Minor:  add: "Requires(post): /sbin/ldconfig"

The following notation automatically mentions the "Requires(post): ...":
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

> 2. Minor:  Only GPL included, LGPL also needed?

The upstream tarball does not provide the text of the LGPL. According to
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#head-90d644ce2c5db60bad3ba8773fe11653c7629dc3
we should only include a license file as documentation if upstream provided it.
Comment 7 Debarshi Ray 2008-01-09 06:58:30 EST
New Package CVS Request
=======================
Package Name: libgdl
Short Description: Components and library for GNOME development tools
Owners: rishi
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes

NB: I inherited anjuta-gdl and renaming it to libgdl. So anjuta-gdl should be
deleted from CVS.
Comment 8 Alex Lancaster 2008-01-09 06:58:53 EST
(In reply to comment #6)

> > 1. Minor:  add: "Requires(post): /sbin/ldconfig"
 
> The following notation automatically mentions the "Requires(post): ...":
> %post -p /sbin/ldconfig
> %postun -p /sbin/ldconfig

OK, didn't know that, great.
 
> > 2. Minor:  Only GPL included, LGPL also needed?
> 
> The upstream tarball does not provide the text of the LGPL. According to
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#head-90d644ce2c5db60bad3ba8773fe11653c7629dc3
> we should only include a license file as documentation if upstream provided it.

sure, but we are supposed to pester upstream to ask them to include it.

Anyway, none of these are blockers, so go ahead and import...
Comment 9 Kevin Fenzi 2008-01-09 13:18:31 EST
cvs done. 

For anjuta-gdl, please follow the package end of life page at: 
http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife
Comment 10 Alex Lancaster 2008-01-12 20:33:09 EST
Debarshi: Once you've EOLed anjuta-gdl as per comment #9, can you please close
this bug as NEXTRELEASE?

Note You need to log in before you can comment on or make changes to this bug.